Component Status
readComponentStatus
V1ComponentStatus readComponentStatus()
read the specified ComponentStatus
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiReadComponentStatusRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiReadComponentStatusRequest = {
// name of the ComponentStatus
name: "name_example",
// If \'true\', then the output is pretty printed. Defaults to \'false\' unless the user-agent indicates a browser or command-line HTTP tool (curl and wget). (optional)
pretty: "pretty_example",
};
const data = await apiInstance.readComponentStatus(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| name | [string] | name of the ComponentStatus | defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
Return type
listComponentStatus
V1ComponentStatusList listComponentStatus()
list objects of kind ComponentStatus
Example
import { createConfiguration, CoreV1Api } from '@kubernetes/client-node';
import type { CoreV1ApiListComponentStatusRequest } from '@kubernetes/client-node';
const configuration = createConfiguration();
const apiInstance = new CoreV1Api(configuration);
const request: CoreV1ApiListComponentStatusRequest = {
// allowWatchBookmarks requests watch events with type \"BOOKMARK\". Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server\'s discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. (optional)
allowWatchBookmarks: true,
// The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the \"next key\". This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. (optional)
_continue: "continue_example",
// A selector to restrict the list of returned objects by their fields. Defaults to everything. (optional)
fieldSelector: "fieldSelector_example",
// ...8 more optional parameter(s)
};
const data = await apiInstance.listComponentStatus(request);
console.log('API called successfully. Returned data:', data);
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| allowWatchBookmarks | [boolean] | allowWatchBookmarks requests watch events with type "BOOKMARK". More info | (optional) defaults to undefined |
| _continue | [string] | The continue option should be set when retrieving more results from the server. More info | (optional) defaults to undefined |
| fieldSelector | [string] | A selector to restrict the list of returned objects by their fields. Defaults to everything. More info | (optional) defaults to undefined |
| labelSelector | [string] | A selector to restrict the list of returned objects by their labels. Defaults to everything. More info | (optional) defaults to undefined |
| limit | [number] | limit is a maximum number of responses to return for a list call. More info | (optional) defaults to undefined |
| pretty | [string] | If 'true', then the output is pretty printed. More info | (optional) defaults to undefined |
| resourceVersion | [string] | resourceVersion sets a constraint on what resource versions a request may be served from. More info | (optional) defaults to undefined |
| resourceVersionMatch | [string] | resourceVersionMatch determines how resourceVersion is applied to list calls. More info | (optional) defaults to undefined |
| sendInitialEvents | [boolean] | sendInitialEvents=true may be set together with watch=true. More info | (optional) defaults to undefined |
| timeoutSeconds | [number] | Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. More info | (optional) defaults to undefined |
| watch | [boolean] | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. More info | (optional) defaults to undefined |